package com.hzya.frame.plugin.incomeInvoiceData.dao;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.incomeInvoiceData.entity.IncomeInvoiceEntity;

import java.util.List;

/**
 * 客户档案(mdm_customer: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-21 13:52:35
 */
public interface IIncomeInvoiceDao extends IBaseDao<IncomeInvoiceEntity, String> {


    List<JSONObject> queryData(JSONObject saveData);

    int saveDetailData(JSONObject saveDetailData);

    int saveData(JSONObject saveData);

    List<IncomeInvoiceEntity> queryOaZb(IncomeInvoiceEntity incomeInvoiceEntity);

    List<IncomeInvoiceEntity> queryOaMx(IncomeInvoiceEntity incomeInvoiceEntity);

    int updateMx(IncomeInvoiceEntity incomeInvoiceEntity);
    int updateFP(IncomeInvoiceEntity incomeInvoiceEntity);

    int saveMx(IncomeInvoiceEntity incomeInvoiceEntity);

    List<IncomeInvoiceEntity> queryZtzz(IncomeInvoiceEntity entity);

    List<JSONObject> queryByAloneId(IncomeInvoiceEntity jnquerydata);

    List<JSONObject> queryAccount(IncomeInvoiceEntity jnentity);

    List<IncomeInvoiceEntity> queryOaFp(IncomeInvoiceEntity incomeInvoiceEntity);
}

